Class: Aws::CloudFormation::Types::ListStackInstancesInput

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#call_asString

[Service-managed permissions] Specifies whether you are acting as an account administrator in the organization's management account or as a delegated administrator in a member account.

By default, SELF is specified. Use SELF for StackSets with self-managed permissions.

  • If you are signed in to the management account, specify SELF.

  • If you are signed in to a delegated administrator account, specify DELEGATED_ADMIN.

    Your Amazon Web Services account must be registered as a delegated administrator in the management account. For more information, see Register a delegated administrator in the CloudFormation User Guide.

Returns:

  • (String)


5733
5734
5735
5736
5737
5738
5739
5740
5741
5742
5743
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5733

class ListStackInstancesInput < Struct.new(
  :stack_set_name,
  :next_token,
  :max_results,
  :filters,
  :stack_instance_account,
  :stack_instance_region,
  :call_as)
  SENSITIVE = []
  include Aws::Structure
end

#filtersArray<Types::StackInstanceFilter>

The filter to apply to stack instances

Returns:



5733
5734
5735
5736
5737
5738
5739
5740
5741
5742
5743
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5733

class ListStackInstancesInput < Struct.new(
  :stack_set_name,
  :next_token,
  :max_results,
  :filters,
  :stack_instance_account,
  :stack_instance_region,
  :call_as)
  SENSITIVE = []
  include Aws::Structure
end

#max_resultsInteger

The maximum number of results to be returned with a single call. If the number of available results exceeds this maximum, the response includes a NextToken value that you can assign to the NextToken request parameter to get the next set of results.

Returns:

  • (Integer)


5733
5734
5735
5736
5737
5738
5739
5740
5741
5742
5743
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5733

class ListStackInstancesInput < Struct.new(
  :stack_set_name,
  :next_token,
  :max_results,
  :filters,
  :stack_instance_account,
  :stack_instance_region,
  :call_as)
  SENSITIVE = []
  include Aws::Structure
end

#next_tokenString

The token for the next set of items to return. (You received this token from a previous call.)

Returns:

  • (String)


5733
5734
5735
5736
5737
5738
5739
5740
5741
5742
5743
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5733

class ListStackInstancesInput < Struct.new(
  :stack_set_name,
  :next_token,
  :max_results,
  :filters,
  :stack_instance_account,
  :stack_instance_region,
  :call_as)
  SENSITIVE = []
  include Aws::Structure
end

#stack_instance_accountString

The name of the Amazon Web Services account that you want to list stack instances for.

Returns:

  • (String)


5733
5734
5735
5736
5737
5738
5739
5740
5741
5742
5743
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5733

class ListStackInstancesInput < Struct.new(
  :stack_set_name,
  :next_token,
  :max_results,
  :filters,
  :stack_instance_account,
  :stack_instance_region,
  :call_as)
  SENSITIVE = []
  include Aws::Structure
end

#stack_instance_regionString

The name of the Region where you want to list stack instances.

Returns:

  • (String)


5733
5734
5735
5736
5737
5738
5739
5740
5741
5742
5743
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5733

class ListStackInstancesInput < Struct.new(
  :stack_set_name,
  :next_token,
  :max_results,
  :filters,
  :stack_instance_account,
  :stack_instance_region,
  :call_as)
  SENSITIVE = []
  include Aws::Structure
end

#stack_set_nameString

The name or unique ID of the StackSet that you want to list stack instances for.

Returns:

  • (String)


5733
5734
5735
5736
5737
5738
5739
5740
5741
5742
5743
# File 'gems/aws-sdk-cloudformation/lib/aws-sdk-cloudformation/types.rb', line 5733

class ListStackInstancesInput < Struct.new(
  :stack_set_name,
  :next_token,
  :max_results,
  :filters,
  :stack_instance_account,
  :stack_instance_region,
  :call_as)
  SENSITIVE = []
  include Aws::Structure
end